<?php
require_once(getabspath("classes/cipherer.php"));
$tdatainf_ventas_resumido = array();
	$tdatainf_ventas_resumido[".NumberOfChars"] = 80; 
	$tdatainf_ventas_resumido[".ShortName"] = "inf_ventas_resumido";
	$tdatainf_ventas_resumido[".OwnerID"] = "";
	$tdatainf_ventas_resumido[".OriginalTable"] = "venta";

//	field labels
$fieldLabelsinf_ventas_resumido = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsinf_ventas_resumido["Spanish"] = array();
	$fieldToolTipsinf_ventas_resumido["Spanish"] = array();
	$fieldLabelsinf_ventas_resumido["Spanish"]["idciudad"] = "Idciudad";
	$fieldToolTipsinf_ventas_resumido["Spanish"]["idciudad"] = "";
	$fieldLabelsinf_ventas_resumido["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsinf_ventas_resumido["Spanish"]["nombre"] = "";
	if (count($fieldToolTipsinf_ventas_resumido["Spanish"]))
		$tdatainf_ventas_resumido[".isUseToolTips"] = true;
}
	
	
	$tdatainf_ventas_resumido[".NCSearch"] = true;



$tdatainf_ventas_resumido[".shortTableName"] = "inf_ventas_resumido";
$tdatainf_ventas_resumido[".nSecOptions"] = 0;
$tdatainf_ventas_resumido[".recsPerRowList"] = 1;
$tdatainf_ventas_resumido[".mainTableOwnerID"] = "";
$tdatainf_ventas_resumido[".moveNext"] = 1;
$tdatainf_ventas_resumido[".nType"] = 1;

$tdatainf_ventas_resumido[".strOriginalTableName"] = "venta";




$tdatainf_ventas_resumido[".showAddInPopup"] = false;

$tdatainf_ventas_resumido[".showEditInPopup"] = false;

$tdatainf_ventas_resumido[".showViewInPopup"] = false;

$tdatainf_ventas_resumido[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatainf_ventas_resumido[".listAjax"] = true;
else 
	$tdatainf_ventas_resumido[".listAjax"] = false;

	$tdatainf_ventas_resumido[".audit"] = false;

	$tdatainf_ventas_resumido[".locking"] = false;





$tdatainf_ventas_resumido[".showSimpleSearchOptions"] = false;

$tdatainf_ventas_resumido[".showSearchPanel"] = true;

if (isMobile())
	$tdatainf_ventas_resumido[".isUseAjaxSuggest"] = false;
else 
	$tdatainf_ventas_resumido[".isUseAjaxSuggest"] = true;

$tdatainf_ventas_resumido[".rowHighlite"] = true;

// button handlers file names

$tdatainf_ventas_resumido[".addPageEvents"] = true;

// use timepicker for search panel
$tdatainf_ventas_resumido[".isUseTimeForSearch"] = false;




$tdatainf_ventas_resumido[".allSearchFields"] = array();


$tdatainf_ventas_resumido[".googleLikeFields"][] = "idciudad";
$tdatainf_ventas_resumido[".googleLikeFields"][] = "nombre";



$tdatainf_ventas_resumido[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatainf_ventas_resumido[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatainf_ventas_resumido[".strOrderBy"] = $tstrOrderBy;

$tdatainf_ventas_resumido[".orderindexes"] = array();

$tdatainf_ventas_resumido[".sqlHead"] = "SELECT idciudad,  nombre";
$tdatainf_ventas_resumido[".sqlFrom"] = "FROM ciudad";
$tdatainf_ventas_resumido[".sqlWhereExpr"] = "";
$tdatainf_ventas_resumido[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatainf_ventas_resumido[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatainf_ventas_resumido[".arrGroupsPerPage"] = $arrGPP;

$tableKeysinf_ventas_resumido = array();
$tdatainf_ventas_resumido[".Keys"] = $tableKeysinf_ventas_resumido;

$tdatainf_ventas_resumido[".listFields"] = array();

$tdatainf_ventas_resumido[".viewFields"] = array();

$tdatainf_ventas_resumido[".addFields"] = array();

$tdatainf_ventas_resumido[".inlineAddFields"] = array();

$tdatainf_ventas_resumido[".editFields"] = array();

$tdatainf_ventas_resumido[".inlineEditFields"] = array();

$tdatainf_ventas_resumido[".exportFields"] = array();

$tdatainf_ventas_resumido[".printFields"] = array();

//	idciudad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idciudad";
	$fdata["GoodName"] = "idciudad";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Idciudad"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idciudad"; 
		$fdata["FullName"] = "idciudad";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_ventas_resumido["idciudad"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_ventas_resumido["nombre"] = $fdata;

	
$tables_data["inf_ventas_resumido"]=&$tdatainf_ventas_resumido;
$field_labels["inf_ventas_resumido"] = &$fieldLabelsinf_ventas_resumido;
$fieldToolTips["inf_ventas_resumido"] = &$fieldToolTipsinf_ventas_resumido;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["inf_ventas_resumido"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["inf_ventas_resumido"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_inf_ventas_resumido()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idciudad,  nombre";
$proto0["m_strFrom"] = "FROM ciudad";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idciudad",
	"m_strTable" => "ciudad"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "ciudad"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "ciudad";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idciudad";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_inf_ventas_resumido = createSqlQuery_inf_ventas_resumido();
		$tdatainf_ventas_resumido[".sqlquery"] = $queryData_inf_ventas_resumido;
	
if(isset($tdatainf_ventas_resumido["field2"])){
	$tdatainf_ventas_resumido["field2"]["LookupTable"] = "carscars_view";
	$tdatainf_ventas_resumido["field2"]["LookupOrderBy"] = "name";
	$tdatainf_ventas_resumido["field2"]["LookupType"] = 4;
	$tdatainf_ventas_resumido["field2"]["LinkField"] = "email";
	$tdatainf_ventas_resumido["field2"]["DisplayField"] = "name";
	$tdatainf_ventas_resumido[".hasCustomViewField"] = true;
}

include_once(getabspath("include/inf_ventas_resumido_events.php"));
$tableEvents["inf_ventas_resumido"] = new eventclass_inf_ventas_resumido;
$tdatainf_ventas_resumido[".hasEvents"] = true;

$cipherer = new RunnerCipherer("inf_ventas_resumido");

?>